org.ajax4jsf.component

## Class UIMediaOutput

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.ajax4jsf.component.UIMediaOutput

- All Implemented Interfaces:
    javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.resource.ResourceComponent, org.ajax4jsf.resource.ResourceComponent2
  Direct Known Subclasses:
    MediaOutput

      public abstract class UIMediaOutput
      extends javax.faces.component.UIOutput
      implements org.ajax4jsf.resource.ResourceComponent2

  Author:
    shura

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIOutput

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIMediaOutput()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.el.MethodBinding` | `getCreateContent()` Get EL binding to method in user bean to send resource.
    `abstract java.lang.String` | `getElement()` Get Element name for rendering ( imj , a , object, applet ).
    `abstract java.lang.String` | `getUriAttribute()` Get URI attribute for resource ( src for images, href for links etc ).
    `void` | `setCreateContent(javax.faces.el.MethodBinding newvalue)` Set EL binding to method in user bean to send resource.
    `abstract void` | `setElement(java.lang.String newvalue)` Set Element name for rendering ( imj , a , object, applet ).
    `abstract void` | `setUriAttribute(java.lang.String newvalue)` Set URI attribute for resource ( src for images, href for links etc ).

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getFamily, getLocalValue, getValue, restoreState, saveState, setConverter, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.resource.ResourceComponent2

      `getCreateContentExpression, setCreateContentExpression`

    - ### Methods inherited from interface org.ajax4jsf.resource.ResourceComponent

      `getExpires, getLastModified, getMimeType, getValue, isCacheable, isSession, setCacheable, setExpires, setLastModified, setMimeType, setSession, setValue`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIMediaOutput

          public UIMediaOutput()

  - ### Method Detail

    - #### getUriAttribute

          public abstract java.lang.String getUriAttribute()

      Get URI attribute for resource ( src for images, href for links etc ).
      Returns:

    - #### setUriAttribute

          public abstract void setUriAttribute(java.lang.String newvalue)

      Set URI attribute for resource ( src for images, href for links etc ).
      Parameters:
        `newvalue` -

    - #### getElement

          public abstract java.lang.String getElement()

      Get Element name for rendering ( imj , a , object, applet ).
      Returns:

    - #### setElement

          public abstract void setElement(java.lang.String newvalue)

      Set Element name for rendering ( imj , a , object, applet ).
      Parameters:
        `newvalue` -

    - #### getCreateContent

          public javax.faces.el.MethodBinding getCreateContent()

      Get EL binding to method in user bean to send resource. Method will called with two parameters - restored data object and servlet output stream.
      Specified by:
        `getCreateContent` in interface `org.ajax4jsf.resource.ResourceComponent`
      Returns:
        MethodBinding to createContent

    - #### setCreateContent

          public void setCreateContent(javax.faces.el.MethodBinding newvalue)

      Set EL binding to method in user bean to send resource. Method will called with two parameters - restored data object and servlet output stream.
      Specified by:
        `setCreateContent` in interface `org.ajax4jsf.resource.ResourceComponent`
      Parameters:
        `newvalue` - - new value of createContent method binding

Copyright © 2014. All Rights Reserved.